// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
angular.module('starter', ['ionic', 'firebase'])


.run(function ($ionicPlatform) {
    $ionicPlatform.ready(function () {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            StatusBar.styleDefault();
        }
    });
})

.controller("ListCtrl", function ($scope, $http, $firebaseArray, $ionicPopup) {
    /*
     *
     * Change the below variable to your base URL. Don't add a trailing slash.
     *
     */
    var baseURL = "https://xxx.firebaseio.com";
    /*
     *
     * That's all you need to change.
     *
     */
    var messagesRef = new Firebase(baseURL + "/firechat");
    var scrollRef = new Firebase.util.Scroll(messagesRef, 'timestamp');
    $scope.messages = $firebaseArray(scrollRef);
    scrollRef.scroll.next(30);
    $scope.loadMore = function () {
        // load the next contact
        scrollRef.scroll.next(10);
        $scope.$broadcast('scroll.infiniteScrollComplete');
    };
    $scope.hasMore = function () {
        return scrollRef.hasNext();
    }
    $scope.cmdInfo = function () {
        $ionicPopup.alert({
            title: "Command",
            template: "This badge is shown when the content is a command that was executed by the player."
        });
    }
    $scope.msgInfo = function () {
        $ionicPopup.alert({
            title: "Message",
            template: "This badge is shown when the content is a message that was sent by the player."
        });
    }
    $scope.cancelledInfo = function () {
        $ionicPopup.alert({
            title: "Command",
            template: "This badge is shown when a message or a command is cancelled (by another plugin). This is common with chat filters, censors, global mute, and more. If this was a message, it was not seen by others. If it was a command, it didn't finish running. Please not it does NOT show for permission errors.  "
        });
    }
})